Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.jaxp
Class DocumentBuilderFactoryImpl

    java.lang.Object
      |
      +--javax.xml.parsers.DocumentBuilderFactory
            |
            +--weblogic.apache.xerces.jaxp.DocumentBuilderFactoryImpl

public class DocumentBuilderFactoryImpl
extends javax.xml.parsers.DocumentBuilderFactory

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.5 $
Author:
  Rajiv Mordani, Edwin Goei

Constructor Summary
`DocumentBuilderFactoryImpl()`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` Allows the user to retrieve specific attributes on the underlying implementation.
`javax.xml.parsers.DocumentBuilder` | `newDocumentBuilder()`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Allows the user to set specific attributes on the underlying implementation.

Methods inherited from class javax.xml.parsers.DocumentBuilderFactory
`isCoalescing, isExpandEntityReferences, isIgnoringComments, isIgnoringElementContentWhitespace, isNamespaceAware, isValidating, newInstance, setCoalescing, setExpandEntityReferences, setIgnoringComments, setIgnoringElementContentWhitespace, setNamespaceAware, setValidating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderFactoryImpl

    public DocumentBuilderFactoryImpl()

Method Detail

### newDocumentBuilder

    public javax.xml.parsers.DocumentBuilder newDocumentBuilder()
                                                         throws javax.xml.parsers.ParserConfigurationException

  Overrides:
    newDocumentBuilder in class javax.xml.parsers.DocumentBuilderFactory

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)
                      throws java.lang.IllegalArgumentException

  Allows the user to set specific attributes on the underlying implementation.

  Overrides:
    setAttribute in class javax.xml.parsers.DocumentBuilderFactory

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)
                                  throws java.lang.IllegalArgumentException

  Allows the user to retrieve specific attributes on the underlying implementation.

  Overrides:
    getAttribute in class javax.xml.parsers.DocumentBuilderFactory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference